petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatCoarsenView

Prints the coarsen data structure.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatCoarsenView(MatCoarsen agg,PetscViewer viewer)

Collective on MatCoarsen Many br

### Input Parameters

agg -the coarsen context Many br
viewer -optional visualization context Many br

Many br

### Note

The available visualization contexts include Many br

| PETSC_VIEWER_STDOUT_SELF | - standard output (default) Many br
| PETSC_VIEWER_STDOUT_WORLD | - synchronized standard Many broutput where only the first processor opens Many brthe file. All other processors send their Many brdata to the first processor to print. Many br

The user can open alternative visualization contexts with Many br

PetscViewerASCIIOpen() -output to a specified file Many br

### Keywords

Coarsen, view

### See Also

PetscViewerASCIIOpen()

Level:intermediate
Location:src/mat/coarsen/coarsen.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages